org.apache.lucene.util

## Class Constants

- java.lang.Object
- - org.apache.lucene.util.Constants

    public final class Constants
    extends Object

Some useful constants.

### Field Summary

Fields
`static String` `JAVA_VENDOR`
`static String` `JAVA_VERSION` The value of `System.getProperty("java.version")`.
`static boolean` `JRE_IS_64BIT` True iff running on a 64bit JVM
`static boolean` `JRE_IS_MINIMUM_JAVA6` Deprecated. With Lucene 4.0, we are always on Java 6
`static boolean` `JRE_IS_MINIMUM_JAVA7`
`static boolean` `JRE_IS_MINIMUM_JAVA8`
`static String` `JVM_NAME`
`static String` `JVM_VENDOR` JVM vendor info.
`static String` `JVM_VERSION`
`static boolean` `LINUX` True iff running on Linux.
`static String` `LUCENE_MAIN_VERSION` This is the internal Lucene version, recorded into each segment.
`static String` `LUCENE_VERSION` This is the Lucene version for display purposes.
`static boolean` `MAC_OS_X` True iff running on Mac OS X
`static String` `OS_ARCH`
`static String` `OS_NAME` The value of `System.getProperty("os.name")`.
`static String` `OS_VERSION`
`static boolean` `SUN_OS` True iff running on SunOS.
`static boolean` `WINDOWS` True iff running on Windows.

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### JVM_VENDOR

    public static final String JVM_VENDOR

JVM vendor info.

#### JVM_VERSION

    public static final String JVM_VERSION

#### JVM_NAME

    public static final String JVM_NAME

#### JAVA_VERSION

    public static final String JAVA_VERSION

The value of `System.getProperty("java.version")`.

#### OS_NAME

    public static final String OS_NAME

The value of `System.getProperty("os.name")`.

#### LINUX

    public static final boolean LINUX

True iff running on Linux.

#### WINDOWS

    public static final boolean WINDOWS

True iff running on Windows.

#### SUN_OS

    public static final boolean SUN_OS

True iff running on SunOS.

#### MAC_OS_X

    public static final boolean MAC_OS_X

True iff running on Mac OS X

#### OS_ARCH

    public static final String OS_ARCH

#### OS_VERSION

    public static final String OS_VERSION

#### JAVA_VENDOR

    public static final String JAVA_VENDOR

#### JRE_IS_MINIMUM_JAVA6

    @Deprecated
    public static final boolean JRE_IS_MINIMUM_JAVA6

Deprecated. With Lucene 4.0, we are always on Java 6

#### JRE_IS_MINIMUM_JAVA7

    public static final boolean JRE_IS_MINIMUM_JAVA7

#### JRE_IS_MINIMUM_JAVA8

    public static final boolean JRE_IS_MINIMUM_JAVA8

#### JRE_IS_64BIT

    public static final boolean JRE_IS_64BIT

True iff running on a 64bit JVM

#### LUCENE_MAIN_VERSION

    public static final String LUCENE_MAIN_VERSION

This is the internal Lucene version, recorded into each segment.

#### LUCENE_VERSION

    public static final String LUCENE_VERSION

This is the Lucene version for display purposes.